<?xml version="1.0" encoding="ISO-8859-1"?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xfm="http://www.w3.org/2002/xforms" xmlns:ev="http://www.w3.org/2001/xml-events" xml:lang="en">
  <head>
    <!-- <link rel="stylesheet" type="text/css" href="test2.css" /> -->	
    <xfm:model id="form1">
      <xfm:submission id="submit1" method2="postxml" localfile="temp2.xml" target2="http://www.hut.fi/"/>
      <xfm:schema/>
      <xfm:instance id="instance1" xmlns="">
	<location>http://www.xsmiles.org/demo/demos.xml</location>
      </xfm:instance>
    </xfm:model>

    <ev:script id="locHandler" type="text/ecmascript">
      xform=document.getElementsByTagNameNS("http://www.w3.org/2002/xforms","model").item(0);
      browser.println(xform.toString());
      instanceroot = xform.getInstanceDocument().getDocumentElement();
      browser.println(instanceroot.toString());
      browser.navigate(instanceroot.getFirstChild().getNodeValue());
    </ev:script>
    <ev:listener event="click" handler="#locHandler" observer="openBut"/>
  </head>

  <body class="cc" id="c32">
    <h3>Open Location</h3>
      <p>
	<a href="dir:../demo">browse files</a><br/>
      </p>
      <p>
      <xfm:input style="width: 200px;" ref="/location"/>
      <xfm:trigger id="openBut" style="background-color: white;">
	<xfm:label>go</xfm:label>
      </xfm:trigger>
      </p>
  </body>
</html>
